## org.eclipse.datatools.sqltools.result.internal.ui
Class PreferenceConstants

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.PreferenceConstants

    public class PreferenceConstants

extends java.lang.Object

Preference page related constants

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `ELLIPSIS_ENABLED_VALUE_LENGTH`
`static java.lang.String` `EXPORT_FORMAT_ADD_XML_HEADER`
`static java.lang.String` `EXPORT_FORMAT_ADD_XML_ROOT_TAG`
`static java.lang.String` `EXPORT_FORMAT_DEFAULT_ENCODEING`
`static java.lang.String` `EXPORT_FORMAT_DELIMITER`
`static java.lang.String` `EXPORT_FORMAT_OTHER_ENCODEING`
`static java.lang.String` `EXPORT_FORMAT_OTHER_ENCODEING_SELECTION`
`static java.lang.String` `EXPORT_FORMAT_OUTPUT_FORMAT`
`static java.lang.String` `EXPORT_FORMAT_PREF_ENCODING`
`static java.lang.String` `EXPORT_FORMAT_XML_HEADER`
`static java.lang.String` `EXPORT_FORMAT_XML_ROOT_TAG`
`static java.lang.String` `PAGE_EXPORT`
`static java.lang.String` `PAGE_HISTORY`
`static java.lang.String` `PAGE_RESULT`
`static java.lang.String` `PAGE_RESULTSETVIEWER`
`static java.lang.String` `PARAMETER_VIEWER_VIEWERNAME`
`static java.lang.String` `PREFERENCE_PREFIX`
`static java.lang.String` `PROFILE_FILTERS_FILTERED_PROFILES`
`static java.lang.String` `PROFILE_FILTERS_LIMIT_CHECK`
`static java.lang.String` `PROFILE_FILTERS_LIMIT_NUM`
`static java.lang.String` `PROFILE_FILTERS_PROFILE_MAY_CHANGED`
`static java.lang.String` `PROFILE_FILTERS_STATUS_CRITICAL`
`static java.lang.String` `PROFILE_FILTERS_STATUS_FAILED`
`static java.lang.String` `PROFILE_FILTERS_STATUS_SUCCESS`
`static java.lang.String` `PROFILE_FILTERS_STATUS_TERMINATED`
`static java.lang.String` `PROFILE_FILTERS_STATUS_WARNING`
`static java.lang.String` `PROFILE_FILTERS_UNKNOWNPROFILE`
`static java.lang.String` `RESULT_HISTORY_ACTION_COLUMN`
`static java.lang.String` `RESULT_HISTORY_ALL_COLUMNS`
`static java.lang.String` `RESULT_HISTORY_CLEAN_HISTORY`
`static java.lang.String` `RESULT_HISTORY_CONSUMER_COLUMN`
`static java.lang.String` `RESULT_HISTORY_DATE_COLUMN`
`static java.lang.String` `RESULT_HISTORY_FREQ_COLUMN`
`static java.lang.String` `RESULT_HISTORY_OPER_COLUMN`
`static java.lang.String` `RESULT_HISTORY_PROFILE_COLUMN`
`static java.lang.String` `RESULT_HISTORY_SAVE_HISTORY`
`static java.lang.String` `RESULT_HISTORY_STATUS_COLUMN`
`static java.lang.String` `RESULT_SET_VIEWER_VIEWERNAME`
`static java.lang.String` `SQL_RESULT_VIEW_SHOW_LABELS`
`static java.lang.String` `SQL_RESULTS_VIEW_DISPLAY_MODE`
`static java.lang.String` `SQL_RESULTS_VIEW_DISPLAY_WINDOW`
`static java.lang.String` `SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT`
`static java.lang.String` `SQL_RESULTS_VIEW_MAX_ROW_COUNT`
`static java.lang.String` `SQL_RESULTS_VIEW_NULL_STRING`
`static java.lang.String` `SQL_RESULTS_VIEW_SHOW_HEADING`
`static java.lang.String` `SQL_RESULTS_VIEW_SHOW_ROW_COUNT_MSG`
`static java.lang.String` `SQL_RESULTS_VIEW_SHOW_ROW_NUMBER`
`static java.lang.String` `SQL_RESULTS_VIEW_SPLIT_MESSAGES`
`static java.lang.String` `SQL_RESULTS_VIEW_TABLES_LIMITATION`
`static java.lang.String` `SQL_RESULTS_VIEW_TABS_NUMBER`
`static java.lang.String` `VERTICAL_LAYOUT_RESULTS_VIEW`

Constructor Summary
`PreferenceConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_RESULT

    public static final java.lang.String PAGE_RESULT

See Also:
  Constant Field Values

### PAGE_EXPORT

    public static final java.lang.String PAGE_EXPORT

See Also:
  Constant Field Values

### PAGE_HISTORY

    public static final java.lang.String PAGE_HISTORY

See Also:
  Constant Field Values

### PAGE_RESULTSETVIEWER

    public static final java.lang.String PAGE_RESULTSETVIEWER

See Also:
  Constant Field Values

### SQL_RESULTS_VIEW_MAX_ROW_COUNT

    public static final java.lang.String SQL_RESULTS_VIEW_MAX_ROW_COUNT

### SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT

    public static final java.lang.String SQL_RESULTS_VIEW_MAX_DISPLAY_ROW_COUNT

### PREFERENCE_PREFIX

    public static final java.lang.String PREFERENCE_PREFIX

### SQL_RESULTS_VIEW_DISPLAY_WINDOW

    public static final java.lang.String SQL_RESULTS_VIEW_DISPLAY_WINDOW

### SQL_RESULTS_VIEW_DISPLAY_MODE

    public static final java.lang.String SQL_RESULTS_VIEW_DISPLAY_MODE

### SQL_RESULTS_VIEW_SHOW_HEADING

    public static final java.lang.String SQL_RESULTS_VIEW_SHOW_HEADING

### SQL_RESULTS_VIEW_SHOW_ROW_NUMBER

    public static final java.lang.String SQL_RESULTS_VIEW_SHOW_ROW_NUMBER

### SQL_RESULTS_VIEW_SHOW_ROW_COUNT_MSG

    public static final java.lang.String SQL_RESULTS_VIEW_SHOW_ROW_COUNT_MSG

### SQL_RESULTS_VIEW_NULL_STRING

    public static final java.lang.String SQL_RESULTS_VIEW_NULL_STRING

### SQL_RESULTS_VIEW_SPLIT_MESSAGES

    public static final java.lang.String SQL_RESULTS_VIEW_SPLIT_MESSAGES

### SQL_RESULTS_VIEW_TABS_NUMBER

    public static final java.lang.String SQL_RESULTS_VIEW_TABS_NUMBER

### SQL_RESULTS_VIEW_TABLES_LIMITATION

    public static final java.lang.String SQL_RESULTS_VIEW_TABLES_LIMITATION

### VERTICAL_LAYOUT_RESULTS_VIEW

    public static final java.lang.String VERTICAL_LAYOUT_RESULTS_VIEW

### SQL_RESULT_VIEW_SHOW_LABELS

    public static final java.lang.String SQL_RESULT_VIEW_SHOW_LABELS

### EXPORT_FORMAT_ADD_XML_HEADER

    public static final java.lang.String EXPORT_FORMAT_ADD_XML_HEADER

### EXPORT_FORMAT_XML_HEADER

    public static final java.lang.String EXPORT_FORMAT_XML_HEADER

### EXPORT_FORMAT_ADD_XML_ROOT_TAG

    public static final java.lang.String EXPORT_FORMAT_ADD_XML_ROOT_TAG

### EXPORT_FORMAT_XML_ROOT_TAG

    public static final java.lang.String EXPORT_FORMAT_XML_ROOT_TAG

### EXPORT_FORMAT_OUTPUT_FORMAT

    public static final java.lang.String EXPORT_FORMAT_OUTPUT_FORMAT

### EXPORT_FORMAT_DELIMITER

    public static final java.lang.String EXPORT_FORMAT_DELIMITER

### EXPORT_FORMAT_DEFAULT_ENCODEING

    public static final java.lang.String EXPORT_FORMAT_DEFAULT_ENCODEING

### EXPORT_FORMAT_OTHER_ENCODEING

    public static final java.lang.String EXPORT_FORMAT_OTHER_ENCODEING

### EXPORT_FORMAT_OTHER_ENCODEING_SELECTION

    public static final java.lang.String EXPORT_FORMAT_OTHER_ENCODEING_SELECTION

### EXPORT_FORMAT_PREF_ENCODING

    public static final java.lang.String EXPORT_FORMAT_PREF_ENCODING

### PROFILE_FILTERS_STATUS_SUCCESS

    public static final java.lang.String PROFILE_FILTERS_STATUS_SUCCESS

### PROFILE_FILTERS_STATUS_FAILED

    public static final java.lang.String PROFILE_FILTERS_STATUS_FAILED

### PROFILE_FILTERS_STATUS_TERMINATED

    public static final java.lang.String PROFILE_FILTERS_STATUS_TERMINATED

### PROFILE_FILTERS_STATUS_WARNING

    public static final java.lang.String PROFILE_FILTERS_STATUS_WARNING

### PROFILE_FILTERS_STATUS_CRITICAL

    public static final java.lang.String PROFILE_FILTERS_STATUS_CRITICAL

### PROFILE_FILTERS_LIMIT_CHECK

    public static final java.lang.String PROFILE_FILTERS_LIMIT_CHECK

### PROFILE_FILTERS_LIMIT_NUM

    public static final java.lang.String PROFILE_FILTERS_LIMIT_NUM

### PROFILE_FILTERS_UNKNOWNPROFILE

    public static final java.lang.String PROFILE_FILTERS_UNKNOWNPROFILE

### PROFILE_FILTERS_PROFILE_MAY_CHANGED

    public static final java.lang.String PROFILE_FILTERS_PROFILE_MAY_CHANGED

### PROFILE_FILTERS_FILTERED_PROFILES

    public static final java.lang.String PROFILE_FILTERS_FILTERED_PROFILES

### RESULT_HISTORY_ALL_COLUMNS

    public static final java.lang.String RESULT_HISTORY_ALL_COLUMNS

### RESULT_HISTORY_STATUS_COLUMN

    public static final java.lang.String RESULT_HISTORY_STATUS_COLUMN

### RESULT_HISTORY_OPER_COLUMN

    public static final java.lang.String RESULT_HISTORY_OPER_COLUMN

### RESULT_HISTORY_FREQ_COLUMN

    public static final java.lang.String RESULT_HISTORY_FREQ_COLUMN

### RESULT_HISTORY_DATE_COLUMN

    public static final java.lang.String RESULT_HISTORY_DATE_COLUMN

### RESULT_HISTORY_ACTION_COLUMN

    public static final java.lang.String RESULT_HISTORY_ACTION_COLUMN

### RESULT_HISTORY_CONSUMER_COLUMN

    public static final java.lang.String RESULT_HISTORY_CONSUMER_COLUMN

### RESULT_HISTORY_PROFILE_COLUMN

    public static final java.lang.String RESULT_HISTORY_PROFILE_COLUMN

### RESULT_HISTORY_SAVE_HISTORY

    public static final java.lang.String RESULT_HISTORY_SAVE_HISTORY

### RESULT_HISTORY_CLEAN_HISTORY

    public static final java.lang.String RESULT_HISTORY_CLEAN_HISTORY

### RESULT_SET_VIEWER_VIEWERNAME

    public static final java.lang.String RESULT_SET_VIEWER_VIEWERNAME

### PARAMETER_VIEWER_VIEWERNAME

    public static final java.lang.String PARAMETER_VIEWER_VIEWERNAME

### ELLIPSIS_ENABLED_VALUE_LENGTH

    public static final java.lang.String ELLIPSIS_ENABLED_VALUE_LENGTH

Constructor Detail

### PreferenceConstants

    public PreferenceConstants()